> ## Documentation Index > Fetch the complete documentation index at: https://docs.supermetrics.com/llms.txt > Use this file to discover all available pages before exploring further. # Fetch Connector Schema > Fetch the codeless connector JSON schema ## OpenAPI ````json GET /connector_builder/v1/schema/{schema_version} { "openapi": "3.0.3", "info": { "title": "Management API Reference", "version": "2.0.0", "description": "API Documentation for the Supermetrics Management API. For more information, visit https://supermetrics.com.", "termsOfService": "https://supermetrics.com/terms-of-service", "contact": { "name": "Supermetrics Suppot", "email": "support@supermetrics.com", "url": "https://supermetrics.com/support" }, "license": { "name": "Apache 2.0", "url": "https://www.apache.org/licenses/LICENSE-2.0.html" }, "x-api-id": "sm-management-api", "x-audience": "public" }, "servers": [ { "url": "https://api.supermetrics.com/v2", "description": "Global production public Supermetrics Management API base path.", "x-internal": false }, { "url": "https://api.supermetrics.com", "description": "Global production public Supermetrics API base path (for Connector Builder and Team endpoints).", "x-internal": false } ], "tags": [ { "name": "API Keys", "description": "Manage API keys to access Supermetrics API" }, { "name": "Saved Queries", "description": "Manage queries saved in Query Manager" }, { "name": "Datasources", "description": "Retrieve datasource configuration details" }, { "name": "Data Source Logins", "description": "Access your data source authentications and login links" }, { "name": "Custom Fields", "description": "Create and manage Custom Fields" }, { "name": "Account Tags", "description": "Group data source accounts into reusable tags" }, { "name": "Data Blending", "description": "Create and manage Data Blending" }, { "name": "Connector Builder", "description": "Create and manage custom connectors, including their secrets, logos, logs, and schemas" }, { "name": "Teams", "description": "View and update team details" }, { "name": "Team Users", "description": "Manage members and invitations for your team" }, { "name": "Team Licenses", "description": "Assign and manage your team's licenses" }, { "name": "Team Settings", "description": "Configure general settings for your team" }, { "name": "Workspaces", "description": "Create and manage workspaces, their members, and license pools" }, { "name": "Data Transfers", "description": "Create, configure, and manage Data Warehouse transfers, their runs, backfills, and data source connections" }, { "name": "Data Destinations", "description": "Create, configure, and manage Data Warehouse destinations" }, { "name": "Table Groups", "description": "Manage your team's table groups" } ], "externalDocs": { "description": "Find out more about Supermetrics Management API", "url": "https://docs.supermetrics.com/apidocs/management-api" }, "paths": { "/connector_builder/v1/schema/{schema_version}": { "servers": [ { "url": "https://api.supermetrics.com", "description": "production server", "x-internal": false } ], "get": { "summary": "Fetch Connector Schema", "description": "Fetch the codeless connector JSON schema", "operationId": "getConnectorSchema", "security": [], "parameters": [ { "name": "schema_version", "in": "path", "required": true, "description": "The version of the schema you wish to fetch. Currently available schema(s) are: v1", "schema": { "type": "string", "maxLength": 10, "pattern": "^v\\d+$" } } ], "responses": { "200": { "description": "Successful response.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/RawJsonOutput" } } } }, "400": { "description": "Invalid version", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/InvalidVersionError" } } } }, "404": { "description": "Requested schema version not found.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/NotFoundError__schema" } } } }, "500": { "description": "Failed to load schema.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SchemaLoadFailedError" } } } } }, "tags": [ "Connector Builder" ] } } }, "components": { "schemas": { "RawJsonOutput": { "type": "string", "format": "json", "maxLength": 1000000, "description": "Raw JSON schema document" }, "InvalidVersionError": { "type": "object", "properties": { "meta": { "type": "object", "properties": { "request_id": { "type": "string", "maxLength": 100, "description": "Unique identifier of the request" } } }, "data": { "type": "object", "properties": { "message": { "type": "string", "maxLength": 255, "description": "Invalid version" }, "code": { "type": "string", "maxLength": 100, "description": "INVALID_VERSION" }, "description": { "type": "string", "maxLength": 2000, "description": "The provided schema version is invalid. Valid schema versions are v1, v2, v3, etc." } } } } }, "NotFoundError__schema": { "type": "object", "properties": { "meta": { "type": "object", "properties": { "request_id": { "type": "string", "maxLength": 100, "description": "Unique identifier of the request" } } }, "data": { "type": "object", "properties": { "message": { "type": "string", "maxLength": 255, "description": "Schema not found" }, "code": { "type": "string", "maxLength": 100, "description": "SCHEMA_NOT_FOUND" }, "description": { "type": "string", "maxLength": 2000, "description": "Could not find schema with requested version." } } } } }, "SchemaLoadFailedError": { "type": "object", "properties": { "meta": { "type": "object", "properties": { "request_id": { "type": "string", "maxLength": 100, "description": "Unique identifier of the request" } } }, "data": { "type": "object", "properties": { "message": { "type": "string", "maxLength": 255, "description": "Failed to load schema" }, "code": { "type": "string", "maxLength": 100, "description": "FAILED_TO_LOAD_SCHEMA" }, "description": { "type": "string", "maxLength": 2000, "description": "Failed to load requested schema. Please try again." } } } } } } } } ````